AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create bulk transfer

This document shows you how to initiate a bulk transfer

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/bulk-transfers

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

currency string required
The currency of the Transfer. Learn more about supported currencies here.

bulk_data array of objects required
An array of objects containing the transfer charge data. This array contains the same payload you would passed to create a single transfer with multiple different values.

FILL IN ALL REQUIRED FIELDS

email string required
This is the email address of the transfer recipient.

mobile_number string required
This is the mobile number of the recipient. If the recipient's email address is passed, this becomes an optional parameter.

recipient_address string required
This is the address of the transfer recipient.

first_name string
This is the first name of the transfer recipient.

last_name string
This is the last name of the transfer recipient.

title string
This is the title of the bulk transfer attempt.

error_reporting boolean
This is a flag to include error report when querying the status of the bulk transfer.

entity string
TBD.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

created_at string

approver string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys